shrinkVector {HilbertVis} | R Documentation

## shrink a vector by partitioning it into bins and taking the maxima in the bins

### Description

Given a (potentially very long) vector, the vector is partitioned into a given number of (up to rounding errors) equally long bins, and a vector summerizing each of the bins with one number it returned.

### Usage

    shrinkVector(vec, newLength,  mode = c("max", "min", "absmax", "mean"))

### Arguments

`vec` | The vector to be shrunk. May be numeric or integer.
`newLength` | The desired size of the return vector, i.e., the number of partitions
`mode` | the summerization mode: 'max': take the maximal value of each bin; 'min': take the minimal value of each bin; 'absmax': take the value with largest absolute value; 'mean': take the mean of the bin values.

### Value

A vector of length `newLength` with the summary values of each of the bin of `vector`.

### Author(s)

Simon Anders, EMBL-EBI (sanders@fs.tum.de)

### See Also

`plotLongVector`, `ShortRead::pileup`, `HilbertVisGui::simpleLinPlot`

### Examples

       shrinkVector( 100000 + 1:1000, 17 )

[Package HilbertVis version 1.2.0 Index]